API referencePayment Links
List payment links
Returns a paginated list of payment links. Optionally filter by status and date.
Returns a paginated list of payment links. Optionally filter by status and date.
Authorization
secretKey AuthorizationBearer <token>
Sandbox try-it accepts sk_test_… only.
In: header
Query Parameters
status?string
Filter by status. Omit to return every status.
Value in
- "pending"
- "succeeded"
- "expired"
- "canceled"
- "failed"
created_after?string
Format
date-timecreated_before?string
Format
date-timepage?integer
Range
1 <= valueDefault
1per_page?integer
Range
1 <= value <= 100Default
25Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-links"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference_id": "string", "url": "http://example.com", "status": "pending", "amount": 0, "fee": { "total": 0, "transaction": 0, "instant_settlement": 0, "paid_by": "me" }, "payer_amount": 0, "net_amount": 0, "title": "string", "note": "string", "payment_method": "string", "settlement_account_id": "d050fea4-5b02-490d-8c34-3ec6e6f56121", "expires_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z", "settle_at": "2019-08-24T14:15:22Z", "settled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "pagination": { "current_page": 0, "per_page": 0, "total": 0, "last_page": 0 }, "meta": { "request_id": "string" }}